Video
Elementary

## Functions

Evas_Object * | elm_player_add (Evas_Object *parent)
| Add a new Elm_Player object to the given parent Elementary (container) object.
Evas_Object * | elm_video_add (Evas_Object *parent)
| Add a new Elm_Video object to the given parent Elementary (container) object.
Eina_Bool | elm_video_file_set (Eo *obj, const char *filename)
| Define the file or URI that will be the video source.
void | elm_video_file_get (Eo *obj, const char **filename)
| Get the file or URI that is used as the video source.
void | elm_video_audio_level_set (Evas_Object *obj, double volume)
| Set the audio level of an Elm_Video object.
double | elm_video_audio_level_get (const Evas_Object *obj)
| Get the audio level of the current video.
void | elm_video_audio_mute_set (Evas_Object *obj, Eina_Bool mute)
| Change the mute state of the Elm_Video object.
Eina_Bool | elm_video_audio_mute_get (const Evas_Object *obj)
| Get whether audio is muted.
double | elm_video_play_length_get (const Evas_Object *obj)
| Get the total playing time (in seconds) of the Elm_Video object.
Eina_Bool | elm_video_is_seekable_get (const Evas_Object *obj)
| Is it possible to seek inside the video.
void | elm_video_play_position_set (Evas_Object *obj, double position)
| Set the current position (in seconds) to be played in the Elm_Video object.
double | elm_video_play_position_get (const Evas_Object *obj)
| Get the current position (in seconds) being played in the Elm_Video object.
Eina_Bool | elm_video_is_playing_get (Evas_Object *obj)
| Get whether the video actually playing.
void | elm_video_play (Evas_Object *obj)
| Start playing a video.
void | elm_video_stop (Evas_Object *obj)
| Stop a video.
void | elm_video_pause (Evas_Object *obj)
| Pause a video.

## Detailed Description

## Function Documentation

## elm_player_add()

Evas_Object * elm_player_add | ( | Evas_Object * | parent | ) |

Add a new Elm_Player object to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new player widget handle or `NULL`, on errors.

This function inserts a new player widget on the canvas.

See also
  elm_object_part_content_set()

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## elm_video_add()

Evas_Object * elm_video_add | ( | Evas_Object * | parent | ) |

Add a new Elm_Video object to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new video widget handle or `NULL`, on errors.

This function inserts a new video widget on the canvas.

See also
  elm_video_file_set()

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## elm_video_file_set()

Eina_Bool elm_video_file_set | ( | Eo * | obj,
|  | const char * | filename )

Define the file or URI that will be the video source.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

This function will explicitly define a file or URI as a source for the video of the Elm_Video object.

See also
  elm_video_add()
  elm_player_add()

Parameters

  [in] | filename | The file or URI to target. Local files can be specified using file:// or by using full file paths. URI could be remote source of video, like http:// or local source like WebCam (v4l2://). (You can use Emotion API to request and list the available Webcam on your system).

## elm_video_file_get()

void elm_video_file_get | ( | Eo * | obj,
|  | const char ** | filename )

Get the file or URI that is used as the video source.

Parameters

  filename | The file or URI.

Since
  1.14

## elm_video_audio_level_set()

void elm_video_audio_level_set | ( | Evas_Object * | obj,
|  | double | volume )

Set the audio level of an Elm_Video object.

Parameters

  [in] | volume | The audio level.

## elm_video_audio_level_get()

double elm_video_audio_level_get | ( | const Evas_Object * | obj | ) |

Get the audio level of the current video.

Returns
  The audio level.

## elm_video_audio_mute_set()

void elm_video_audio_mute_set | ( | Evas_Object * | obj,
|  | Eina_Bool | mute )

Change the mute state of the Elm_Video object.

Parameters

  [in] | mute | The mute state.

## elm_video_audio_mute_get()

Eina_Bool elm_video_audio_mute_get | ( | const Evas_Object * | obj | ) |

Get whether audio is muted.

Returns
  The mute state.

## elm_video_play_length_get()

double elm_video_play_length_get | ( | const Evas_Object * | obj | ) |

Get the total playing time (in seconds) of the Elm_Video object.

Returns
  The total duration (in seconds) of the media file.

## elm_video_is_seekable_get()

Eina_Bool elm_video_is_seekable_get | ( | const Evas_Object * | obj | ) |

Is it possible to seek inside the video.

Returns
  true if is possible to seek inside the video.

## elm_video_play_position_set()

void elm_video_play_position_set | ( | Evas_Object * | obj,
|  | double | position )

Set the current position (in seconds) to be played in the Elm_Video object.

Parameters

  [in] | position | The time (in seconds) since the beginning of the media file.

## elm_video_play_position_get()

double elm_video_play_position_get | ( | const Evas_Object * | obj | ) |

Get the current position (in seconds) being played in the Elm_Video object.

Returns
  The time (in seconds) since the beginning of the media file.

## elm_video_is_playing_get()

Eina_Bool elm_video_is_playing_get | ( | Evas_Object * | obj | ) |

Get whether the video actually playing.

You should consider watching event on the object instead of polling the object state.

Returns
  `true` if the video is playing, `false` otherwise.